Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.schema
Class SchemaMessageProvider

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.SchemaMessageProvider

public class SchemaMessageProvider
extends java.lang.Object
implements XMLMessageProvider

SchemaMessageProvider implements an XMLMessageProvider that provides localizable error messages for the W3C XML Schema Language

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `AttMissingType`
`static int` | `DatatypeError`
`static int` | `DatatypeQualUnsupported`
`static int` | `DatatypeWithType`
`static int` | `EltRefOnlyInMixedElemOnly`
`static int` | `FeatureUnsupported`
`static java.lang.String[]` | `fgMessageKeys`
`static int` | `GenericError`
`static int` | `GroupContentRestricted`
`static int` | `IllegalAttContent`
`static int` | `IncorrectDatatype`
`static int` | `IncorrectDefaultType`
`static int` | `MSG_BAD_MAJORCODE`
`static int` | `MSG_FORMAT_FAILURE`
`static int` | `MSG_MAX_CODE`
`static int` | `MSG_NONE`
`static int` | `NestedOnlyInElemOnly`
`static int` | `NoContentForRef`
`static int` | `NotADatatype`
`static int` | `NoValidatorFor`
`static int` | `OneOfTypeRefArchRef`
`static int` | `OnlyInEltContent`
`static int` | `OrderIsAll`
`static java.lang.String` | `SCHEMA_DOMAIN` The domain of messages concerning the XML Schema: Structures specification.
`static int` | `TextOnlyContentWithType`
`static int` | `TypeAlreadySet`
`static int` | `UnclassifiedError`
`static int` | `UnknownBaseDatatype`
`static int` | `ValueNotInteger`

Constructor Summary
`SchemaMessageProvider()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()`
`void` | `setLocale(java.util.Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_DOMAIN

    public static final java.lang.String SCHEMA_DOMAIN

  The domain of messages concerning the XML Schema: Structures specification.

### MSG_BAD_MAJORCODE

    public static final int MSG_BAD_MAJORCODE

### MSG_FORMAT_FAILURE

    public static final int MSG_FORMAT_FAILURE

### NoValidatorFor

    public static final int NoValidatorFor

### IncorrectDatatype

    public static final int IncorrectDatatype

### AttMissingType

    public static final int AttMissingType

### NotADatatype

    public static final int NotADatatype

### TextOnlyContentWithType

    public static final int TextOnlyContentWithType

### FeatureUnsupported

    public static final int FeatureUnsupported

### NestedOnlyInElemOnly

    public static final int NestedOnlyInElemOnly

### EltRefOnlyInMixedElemOnly

    public static final int EltRefOnlyInMixedElemOnly

### OnlyInEltContent

    public static final int OnlyInEltContent

### OrderIsAll

    public static final int OrderIsAll

### DatatypeWithType

    public static final int DatatypeWithType

### DatatypeQualUnsupported

    public static final int DatatypeQualUnsupported

### GroupContentRestricted

    public static final int GroupContentRestricted

### UnknownBaseDatatype

    public static final int UnknownBaseDatatype

### OneOfTypeRefArchRef

    public static final int OneOfTypeRefArchRef

### NoContentForRef

    public static final int NoContentForRef

### IncorrectDefaultType

    public static final int IncorrectDefaultType

### IllegalAttContent

    public static final int IllegalAttContent

### ValueNotInteger

    public static final int ValueNotInteger

### DatatypeError

    public static final int DatatypeError

### TypeAlreadySet

    public static final int TypeAlreadySet

### GenericError

    public static final int GenericError

### UnclassifiedError

    public static final int UnclassifiedError

### MSG_MAX_CODE

    public static final int MSG_MAX_CODE

### MSG_NONE

    public static final int MSG_NONE

### fgMessageKeys

    public static final java.lang.String[] fgMessageKeys

Constructor Detail

### SchemaMessageProvider

    public SchemaMessageProvider()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    setLocale in interface XMLMessageProvider

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    getLocale in interface XMLMessageProvider

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD